- Main Page
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# cDeltaDevice Class Reference

Interface to delta and omega devices. More...

`#include <CDeltaDevices.h>`

Inheritance diagram for cDeltaDevice:

List of all members.

## Public Member Functions
| cDeltaDevice (unsigned int a_deviceNumber=0)
| Constructor of cDeltaDevices.
virtual | ~cDeltaDevice ()
| Destructor of cGenericDevice.
virtual int | open ()
| Open connection to delta device.
virtual int | close ()
| Close connection to delta device.
virtual int | initialize (const bool a_resetEncoders=false)
| Calibrate delta device.
virtual int | command (int a_command, void *a_data)
| Set a command to the delta device.
virtual int | getDeviceType ()
| Which ForceDimension device is actually connected to this object?
## Protected Member Functions
int | getUserSwitch (int a_deviceID)
| Read user switch from end-effector.
## Protected Attributes
int | m_deviceID
| Device ID number.
int | m_deviceType
| Which FD device is actually instantiated here?
double | m_halfSizeWorkspace
| Half size of the workspace (in meters).
double | m_maximumForces
| Maximum forces.
int | m_userSwitchCount [8]
| Last position of user switch.
## Static Protected Attributes
static int | m_activeDeltaDevices = 0
| Reference count used to control access to the dhd dll.

## Detailed Description

Interface to delta and omega devices.

## Constructor & Destructor Documentation

cDeltaDevice::cDeltaDevice | ( | unsigned int | a_deviceNumber = `0` | ) |

Constructor of cDeltaDevices.

Constructor of cDeltaDevice.

cDeltaDevice::~cDeltaDevice | ( |  | ) | `[virtual]`

Destructor of cGenericDevice.

Destructor of cDeltaDevice.

## Member Function Documentation

int cDeltaDevice::open | ( |  | ) | `[virtual]`

Open connection to delta device.

Open connection to delta device.

Reimplemented from cGenericDevice.

int cDeltaDevice::close | ( |  | ) | `[virtual]`

Close connection to delta device.

Close connection to delta device.

Reimplemented from cGenericDevice.

int cDeltaDevice::initialize | ( | const bool | a_resetEncoders = `false` | ) | `[virtual]`

Calibrate delta device.

Calibrate delta device.

This function does nothing right now; the a_resetEncoders parameter is ignored.

Parameters:

  | a_resetEncoders | Ignored; exists for forward compatibility.

Returns:
  Always 0

Reimplemented from cGenericDevice.

int cDeltaDevice::command | ( | int | a_command,
|  | void * | a_data |
| ) |  |  | `[virtual]`

Set a command to the delta device.

Send a command to the delta device

Parameters:

  | a_command | Selected command.
  | a_data | Pointer to the corresponding data structure.

Returns:
  Return status of command. CHAI_MSG_OK is good, anything else is probably not good.

Reimplemented from cGenericDevice.

int cDeltaDevice::getUserSwitch | ( | int | a_deviceID | ) | `[protected]`

Read user switch from end-effector.

Read the user switch of the end-effector This function implements a small filter to avoid reading glitches.

Parameters:

  | a_deviceID | device ID.

The documentation for this class was generated from the following files:

- chai3d/src/devices/CDeltaDevices.h
- chai3d/src/devices/CDeltaDevices.cpp